WeeChat FAQ, 2009-04-03
=======================

1 - Général
2 - Compilation / installation
3 - Utilisation de WeeChat
4 - Développement


------------------------------------------------------------------------------
1.1: Pourquoi choisir WeeChat ? X-Chat et Irssi sont si bien...

Parce que WeeChat est très léger et a de nouvelles fonctionnalités.
Quelques fonctionnalités (version >= 0.2.7) :
   * support multi-protocoles via extensions (IRC, Jabber)
   * plusieurs interfaces déportées en plus de Curses (à venir bientôt)
   * disponible en plusieurs langues
   * extensible par des extensions (C, Perl, Python, Ruby, Lua, Tcl)
   * tampons avec contenu libre
   * filtrage de l'affichage avec tags et expressions régulières
   * découpage de la fenêtre horizontalement et verticalement
   * barres personnalisables et extensibles
   * liste des pseudos disponible dans toutes les interfaces
   * recherche incrémentale de texte dans les tampons, saut aux highlights
   * tube FIFO pour contrôle à distance
   * support aspell
   * double encodage (décodage/encodage)
   * développé à partir de zéro (non basé sur un quelconque client)
   * multi-platformes
   * 100% GPL et libre
Plus d'infos sur cette page : http://weechat.flashtux.org/features.php


------------------------------------------------------------------------------
2.1: J'ai entendu parler de plusieurs interfaces pour WeeChat. Comment puis-je
les compiler/utiliser ?

Aujourd'hui seule l'interface Curses est disponible.
D'autres interfaces seront disponibles en mode distant (actuellement
en développement).


------------------------------------------------------------------------------
2.2: Je ne peux pas compiler WeeChat après avoir cloné la base git, pourquoi ?

La méthode recommandée pour compiler WeeChat est d'utiliser cmake.
Si vous compilez avec les autotools (et non cmake), vérifiez que vous avez bien
la dernière version d'autoconf et automake (WeeChat est développé avec autoconf
2.61 et automake 1.10.1).
Une autre façon de faire est de compiler le "paquet devel", qui nécessite moins
de dépendences. Ce paquet est construit quasiment tous les jours à partir de la
base git. Notez que ce paquet peut ne pas correspondre exactement à la base
git et qu'il est moins pratique que de cloner la base git pour installer des
mises à jour.


------------------------------------------------------------------------------
3.1: J'ai lancé WeeChat, mais je suis perdu, que puis-je faire ?

Pour obtenir de l'aide tapez /help. Pour de l'aide sur une commande, tapez
/help commande.
Les touches et commandes sont listées dans la documentation.
Il est recommandé pour les nouveaux utilisateurs de lire le guide de démarrage
rapide (voir la page de doc sur le site).


------------------------------------------------------------------------------
3.2: J'ai entendu parler de "buffers" et "windows", quelle est la différence ?

Une fenêtre ("window") est utilisée quand vous partagez l'écran verticalement
ou horizontalement.
Un tampon ("buffer") est une "vue" pour une fenêtre. Chaque fenêtre affiche un
tampon, et plusieurs fenêtres peuvent afficher le même tampon.
Exemples de tampons : messages serveur, canal, contrôle xfer, etc...


------------------------------------------------------------------------------
3.3: Je ne vois pas bien certains accents dans WeeChat, que faire ?

Pour les versions < 0.2.3, merci d'installer la dernière version stable.
Pour les versions >= 0.2.3 :
- vérifiez que weechat-curses est lié avec libncursesw (attention : nécessaire
  sur beaucoup de distributions, mais pas toutes) :
     ldd /chemin/vers/weechat-curses
- vérifiez que l'extension "Charset" est chargée avec la commande /plugin (s'il
  ne l'est pas, vous devez peut-être installer le paquet "weechat-plugins")
- vérifiez la ligne charset (sur le tampon serveur), vous devriez voir
  ISO-XXXXXX ou UTF-8 pour le charset du terminal. Si vous voyez ANSI_X3.4-1968
  ou d'autres valeurs, votre locale est probablement erronée.
- affectez la valeur pour le décodage global, par exemple :
  avec WeeChat <= 0.2.6 :
     /setp charset.global.decode = ISO-8859-15
  avec WeeChat >= 0.2.7 :
     /set charset.default.decode "ISO-8859-15"
- si vous utilisez la locale UTF-8, vérifiez que votre terminal est compatible
  UTF-8. Un terminal conseillé pour l'UTF-8 est rxvt-unicode.


------------------------------------------------------------------------------
3.4: Des barres telles que le titre et le statut ne sont pas remplies, la
couleur de fond s'arrête après le texte, pourquoi ?

Cela peut être du à la variable TERM qui n'a pas la bonne valeur (regardez
echo $TERM).
Selon la façon de lancer WeeChat, vous devriez avoir :
- si WeeChat tourne en local ou sur une machine distante sans screen :
  cela dépend du terminal utilisé : "xterm", "rxvt", etc...
- si WeeChat tourne sous screen, vous devriez avoir "screen".
Si besoin, corrigez la variable TERM (export TERM="xxx").


------------------------------------------------------------------------------
3.5: Quand j'utilise weechat sous screen, j'ai des caractères bizarres,
notamment en changeant de fenêtre, comment corriger ça ?

Cela peut être du à la variable TERM qui n'a pas la bonne valeur (regardez
echo $TERM). Par exemple "xterm-color" provoque ce genre de problèmes, utilisez
"xterm" qui est ok (comme plein d'autres valeurs).
Si besoin, corrigez la variable TERM (export TERM="xxx").


------------------------------------------------------------------------------
3.6: Comment puis-je configurer les raccourcis clavier ?

Les raccourcis clavier sont modifiables avec la commande /key.
La touche par défaut Meta-k (souvent Alt-k) permet de capturer le code d'une
touche et de l'inclure dans la ligne de commande.


------------------------------------------------------------------------------
3.7: J'utilise OpenBSD et WeeChat ne charge aucune extension, pourquoi ?

Sous OpenBSD, le nom des extensions se termine par ".so.0.0" (".so" sous
Linux).
Vous devez configurer ça :
- avec WeeChat <= 0.2.6 :
     /set plugins_extension = ".so.0.0"
     /plugin autoload
- avec WeeChat >= 0.2.7 :
     /set weechat.plugin.extension ".so.0.0"
     /plugin autoload


------------------------------------------------------------------------------
3.8: Comment puis-je charger des scripts Perl/Python/Ruby/Lua/Tcl ? Les scripts
sont-ils compatibles avec d'autres clients IRC ?

Les commandes /perl, /python, /ruby, /lua et /tcl permettent de charger les
scripts Perl (le chemin par défaut est ~/.weechat/<langage>/).
Les scripts ne sont pas compatibles avec d'autres clients IRC.
Notes :
- les scripts dans ~/.weechat/<langage>/autoload sont automatiquement chargés
  par WeeChat lorsqu'il démarre.
- l'extension "tcl" est disponible à partir de la version 0.2.7.


------------------------------------------------------------------------------
3.9: Je souhaite changer la langue des messages affichés par WeeChat, mais sans
quitter WeeChat, est-ce possible ?

Oui, il faut utiliser le script python shell.py (disponible sur le site de
WeeChat) et taper ces commandes une fois le script chargé :
   /shell setenv LANG=fr_FR.UTF-8
   /upgrade
Pour avoir des messages anglais avec encodage UTF-8 pour le terminal, pour les
utilisateurs en ISO, vous pouvez taper :
   /shell setenv LANG=fr_FR


------------------------------------------------------------------------------
3.10: Avec l'interface Curses, comment puis-je copier/coller du texte sans
coller la liste des pseudos ?

Vous pouvez utiliser un terminal qui propose la sélection rectangulaire (comme
rxvt-unicode, konsole, etc...). La touche est habituellement ctrl + alt +
sélection à la souris.
Une autre solution est de déplacer la liste des pseudos en haut ou en bas, par
exemple :
- avec WeeChat <= 0.2.6 :
     /set look_nicklist_position = top
- avec WeeChat >= 0.2.7 :
     /bar set nicklist position top


------------------------------------------------------------------------------
3.11: Comment être averti lorsque quelqu'un prononce mon pseudo sur un canal ?

Vous pouvez utiliser le script sound.pl (disponible sur la page des scripts),
puis configurer une commande système (jouant un son, affichant un message à
l'écran, etc...) comme ceci :
- avec WeeChat <= 0.2.6 :
     /setp perl.sound.cmd_highlight = "/chemin/commande parametres"
- avec WeeChat >= 0.2.7 :
     /set plugins.var.perl.sound.cmd_highlight "/chemin/commande parametres"


------------------------------------------------------------------------------
3.12: Comment puis-je filter les messages join/part/quit sur les canaux IRC ?

Selon la version de WeeChat :
- avec WeeChat <= 0.2.6 :
     /ignore * join #weechat freenode
     /ignore * part #weechat freenode
     /ignore * quit #weechat freenode
     (le canal et/ou le serveur peuvent être "*")
     (/help ignore pour l'aide)
- avec WeeChat >= 0.2.7 :
    - filtre interlligent (pour garder les join/part/quit des utilisateurs qui
      ont parlé récemment) :
         /set irc.look.smart_filter on
         /filter add irc_smart * irc_smart_filter *
         (/help irc.look.smart_filter et /help filter pour l'aide)
    - filtre global (pour cacher TOUS les join/part/quit) :
         /filter add irc_jpk * irc_join,irc_part,irc_quit *
         (/help filter pour l'aide)


------------------------------------------------------------------------------
3.13: Quelle est la différence entre les commandes /ignore et /filter ?

La commande /ignore est une commande IRC, donc elle s'applique uniquement aux
tampons IRC (serveurs et canaux).
Elle permet d'ignorer des pseudos ou nom d'hôtes pour un serveur ou un canal
(la commande ne s'applique pas au contenu des messages).
Les messages corespondants sont supprimés par l'extension IRC avant affichage
(donc vous ne les verrez jamais).

La commande /filter est une commande "core", donc elle s'applique à n"importe
quel tampon.
Elle permet de filtrer des lignes dans les tampons à l'aide de tags ou
d'expression régulière pour le préfixe et contenu de la ligne.
Les lignes filtrées sont simplement cachées, pas supprimées, et il est possible
de les voir en désactivant les filtres (par défaut, la touche alt + "="
active/désactive les filtres).


------------------------------------------------------------------------------
4.1: Comment dois-je reporter les bugs ?

Il y a 3 manières de reporter les bugs :
  1. vous pouvez nous joindre sur IRC : irc.freenode.net, canal #weechat
  2. vous pouvez soumettre votre bug à cette adresse :
        http://savannah.nongnu.org/bugs/?func=addbug&group=weechat
  3. vous pouvez envoyer votre problème par mail, consultez la page support
     pour les mails des développeurs :
        http://weechat.flashtux.org/support.php
     (vous pouvez souscrire et envoyer à la liste de diffusion nommée
     "support")


------------------------------------------------------------------------------
4.2: Comment dois-je soumettre les patches ?

Il y a 3 manières de soumettre les patches :
  1. vous pouvez nous joindre sur IRC : irc.freenode.net, canal #weechat
  2. vous pouvez soumettre votre patch à cette adresse :
        http://savannah.nongnu.org/patch/?func=addpatch&group=weechat
  3. vous pouvez envoyer votre patch par mail, consultez la page support pour
     les mails des développeurs :
        http://weechat.flashtux.org/support.php
     (vous pouvez souscrire et envoyer à la liste de diffusion nommée
     "support")


------------------------------------------------------------------------------
4.3: Comment dois-je soumettre les demandes de nouvelles fonctionnalités ?

Il y a 2 manières :
  1. vous pouvez nous joindre sur IRC : irc.freenode.net, canal #weechat
  2. vous pouvez envoyer un mail, consultez la page support pour les mails des
     développeurs :
        http://weechat.flashtux.org/support.php
     (vous pouvez souscrire et envoyer à la liste de diffusion nommée
     "support")


------------------------------------------------------------------------------
4.4: Quelle est la liste des plate-formes supportées par WeeChat ? Sera-t-il
porté sur d'autres systèmes d'exploitation ?

La liste complète est sur cette page :
  http://weechat.flashtux.org/download.php?view=supported_os
Nous faisons le maximum pour supporter le plus de plate-formes possible.
Toute aide est la bienvenue pour les systèmes que nous n'avons pas, pous y
tester WeeChat.


------------------------------------------------------------------------------
4.5: Je souhaiterai aider les développeurs WeeChat. Que puis-je faire ?

Il y a plusieurs choses à faire (test, code, documentation, etc...)
Merci de prendre contact avec nous par IRC ou mail, consultez la page
support :
   http://weechat.flashtux.org/support.php


------------------------------------------------------------------------------
4.6: Puis-je donner de l'argent ou d'autres choses aux développeurs WeeChat ?

Vous pouvez donner de l'argent pour aider le développement.
Plus de détails sur http://weechat.flashtux.org/donate.php
